/*!
* unplugin-vue-component-ref v1.0.6
* (c) 2022 zrrz
* @license MIT
*/
'use strict';

const hasOwn = (val, key) => Object.prototype.hasOwnProperty.call(val, key);
const onVnodeBeforeMountRef_ = (VNode) => {
    const { component } = VNode;
    if (component) {
        component.exposeProxy = new Proxy({}, {
            get(_, key) {
                if (component.exposed && hasOwn(component.exposed, key))
                    return component.exposed[key];
                //@ts-ignore
                if (hasOwn(component.setupState, key))
                    return component.setupState[key];
                //@ts-ignore
                return component.proxy[key];
            }
        });
    }
};
var index = (app) => {
    app.config.globalProperties.onVnodeBeforeMountRef_ = onVnodeBeforeMountRef_;
};

module.exports = index;
